require 'spec_helper'

describe Guard::Unity::Notifier do

  let (:results) {
    {
      tests: 100,
      errors: 0,
      failures: 0
    }
  }
  let (:subject) { Guard::Unity::Notifier::Alert.new}

  describe '#notify' do

    it 'should give a success message' do
      @results = results
      ::Guard::Notifier::should_receive(:notify).with(message(@results), {image: :success, title: Guard::Unity::Notifier::TITLE})
      subject.notify(@results, Guard::Unity::Notifier::TITLE)
    end

    it 'should give failed message' do
      @results = results.merge(failures: 1)
      ::Guard::Notifier::should_receive(:notify).with(message(@results), {image: :failed, title: Guard::Unity::Notifier::TITLE})
      subject.notify(@results, Guard::Unity::Notifier::TITLE)
    end

    it 'should give error message' do
      @results = results.merge(errors: 1)
      ::Guard::Notifier::should_receive(:notify).with(message(@results), {image: :failed, title: Guard::Unity::Notifier::TITLE})
      subject.notify(@results, Guard::Unity::Notifier::TITLE)
    end

  end

  # taken from the class to make testing easier
  def message(results)
    message = "#{results[:tests]} tests\n"
    message << "#{results[:failures]} failures\n"
    message << "#{results[:errors]} errors\n"
    message
  end

end