require 'spec_helper'

describe Guard::Unity::Notifier do

  let (:results_success) { {test_cases: [{name: 'foo', failed: false, message: '', stack: ''}]} }
  let (:results_failure) { {test_cases: [{name: 'foo', failed: true, message: 'bar', stack: 'foo-bar'}]} }
  let (:subject) { Guard::Unity::Notifier::CLI.new( {formatador: double(:formatador) }) }

  describe '#notify' do

    it "should display success" do
      subject.formatador.stub(:display_table)
      subject.formatador.stub(:display_line)
      subject.notify(results_success)
    end

    it "should display errors" do
      subject.formatador.stub(:display_table)
      subject.formatador.stub(:display_line)
      subject.notify(results_failure)
    end

  end

end