require 'spec_helper'

describe Guard::Unity::Runner do

  let (:runner) { Guard::Unity::Runner.new({
      test_on_start:  false,
      project_path:   'foo',
      unity:          '/Applications/Unity/Unity.app/Contents/MacOS/Unity',
      parser:         double(:parser),
      notifier:       double(:notifier)
    })
  }

  describe '#run' do

    it 'calls system commands' do
      runner.should_receive(:`).once
      ::Guard::UI.should_receive(:info)
      runner.parser.stub(:parse).with().and_return({})
      runner.notifier.stub(:notify).with({})
      runner.run
    end

  end

  describe '#_command' do

    it 'should create a proper system command with multiple groups' do
      runner.should_receive(:_execute_command).with("/Applications/Unity/Unity.app/Contents/MacOS/Unity -projectPath foo -batchmode -executeMethod UnityTest.UnitTestView.RunAllTestsBatch")
      ::Guard::UI.should_receive(:info)
      runner.parser.stub(:parse).with().and_return({})
      runner.notifier.stub(:notify).with({})
      runner.run
    end

  end

end