require 'rspec'
require 'simplecov'

if ENV['TRAVIS']
  require 'coveralls'
  Coveralls.wear!
  SimpleCov.formatter = Coveralls::SimpleCov::Formatter
end

SimpleCov.start do
  add_filter '/spec/'
  add_filter '/.bundle'
  add_group 'Unity', 'lib/guard'
end

require 'guard/unity'

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered                = true
  config.order                                           = :random

  config.filter_run :focus
end
